package com.brilliance.isc.common.umdtag.service.impl;

import com.brilliance.mda.runtime.mda.util.MdaUtils;
import com.brilliance.isc.common.umdmod.vo.CustVo;
import com.brilliance.isc.common.umdmod.vo.TagVo;
import com.brilliance.isc.common.umdmod.vo.UmdmodVo;
import com.brilliance.isc.common.umdtag.service.UmdtagService;
import com.brilliance.isc.utils.StringUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class UmdtagServiceImpl implements UmdtagService {


    public void umdtagAddCheck(UmdmodVo umdmodVo, String argid, String argMsgTyp, String argTag, String argTagDetail, String argScreenType) {
        if(StringUtils.isEmpty(argTagDetail)){
            return;
        }

        List<TagVo> tagVos = umdmodVo.getTAGS();
        if (MdaUtils.isEmpty(tagVos)) {
            tagVos = new ArrayList<>();
        }
        TagVo tagVo = new TagVo();
        tagVo.setTAG(argTag);
        tagVo.setTAG_DETAIL(argTagDetail);
        tagVo.setTSCREEN_TYPE(argScreenType);


        tagVos.add(tagVo);
        umdmodVo.setTAGS(tagVos);

    }
}
